import { defineComponent as v, toRefs as b, openBlock as m, createElementBlock as g, unref as e, createElementVNode as n } from "vue";
const y = { class: "go-border-05" }, p = ["width", "height"], N = ["stroke", "points"], z = ["stroke", "points", "stroke-dasharray"], x = ["values", "dur", "begin"], I = ["values", "begin"], w = ["stroke", "points", "stroke-dasharray"], C = ["values", "dur", "begin"], D = ["values", "begin"], U = ["stroke", "points", "stroke-dasharray"], E = ["values", "dur", "begin"], B = ["values", "begin"], S = ["cy", "fill"], j = ["values", "begin"], q = ["cx", "cy", "fill"], M = ["values", "begin"], O = ["values", "begin"], R = ["cx", "cy", "fill"], V = ["values", "begin"], A = ["values", "begin"], F = ["cx", "cy", "fill"], G = ["values", "begin"], H = ["values", "begin"], J = v({ name: "EDecorates05" }), Q = /* @__PURE__ */ v({
  ...J,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(k) {
    const o = k, l = ((h = 10) => Number(
      Math.random().toString().substring(2, h) + Date.now()
    ).toString(36))(), { w: t, h: s } = b(o.chartConfig.attr), { colors: i, dur: r } = b(o.chartConfig.option), d = `d10ani1${l}`, u = `d10ani2${l}`, c = `d10ani3${l}`, $ = `d10ani4${l}`, _ = `d10ani5${l}`, f = `d10ani6${l}`, a = `d10ani7${l}`;
    return (h, L) => (m(), g("div", y, [
      (m(), g("svg", {
        width: e(t),
        height: e(s)
      }, [
        n("polyline", {
          stroke: e(i)[1],
          "stroke-width": "2",
          points: `0, ${e(s) / 2} ${e(t)}, ${e(s) / 2}`
        }, null, 8, N),
        n("polyline", {
          stroke: e(i)[0],
          "stroke-width": "2",
          points: `5, ${e(s) / 2} ${e(t) * 0.2 - 3}, ${e(s) / 2}`,
          "stroke-dasharray": `0, ${e(t) * 0.2}`,
          fill: "freeze"
        }, [
          n("animate", {
            id: u,
            attributeName: "stroke-dasharray",
            values: `0, ${e(t) * 0.2};${e(t) * 0.2}, 0;`,
            dur: e(r),
            begin: `${d}.end`,
            fill: "freeze"
          }, null, 8, x),
          n("animate", {
            attributeName: "stroke-dasharray",
            values: `${e(t) * 0.2}, 0;0, ${e(t) * 0.2}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, I)
        ], 8, z),
        n("polyline", {
          stroke: e(i)[0],
          "stroke-width": "2",
          points: `${e(t) * 0.2 + 3}, ${e(s) / 2} ${e(t) * 0.8 - 3}, ${e(s) / 2}`,
          "stroke-dasharray": `0, ${e(t) * 0.6}`
        }, [
          n("animate", {
            id: $,
            attributeName: "stroke-dasharray",
            values: `0, ${e(t) * 0.6};${e(t) * 0.6}, 0`,
            dur: e(r),
            begin: `${c}.end + 1s`,
            fill: "freeze"
          }, null, 8, C),
          n("animate", {
            attributeName: "stroke-dasharray",
            values: `${e(t) * 0.6}, 0;0, ${e(t) * 0.6}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, D)
        ], 8, w),
        n("polyline", {
          stroke: e(i)[0],
          "stroke-width": "2",
          points: `${e(t) * 0.8 + 3}, ${e(s) / 2} ${e(t) - 5}, ${e(s) / 2}`,
          "stroke-dasharray": `0, ${e(t) * 0.2}`
        }, [
          n("animate", {
            id: f,
            attributeName: "stroke-dasharray",
            values: `0, ${e(t) * 0.2};${e(t) * 0.2}, 0`,
            dur: e(r),
            begin: `${_}.end + 1s`,
            fill: "freeze"
          }, null, 8, E),
          n("animate", {
            attributeName: "stroke-dasharray",
            values: `${e(t) * 0.2}, 0;0, ${e(t) * 0.3}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, B)
        ], 8, U),
        n("circle", {
          cx: "2",
          cy: e(s) / 2,
          r: "2",
          fill: e(i)[1]
        }, [
          n("animate", {
            id: d,
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[0]}`,
            begin: `0s;${a}.end`,
            dur: "0.3s",
            fill: "freeze"
          }, null, 8, j)
        ], 8, S),
        n("circle", {
          cx: e(t) * 0.2,
          cy: e(s) / 2,
          r: "2",
          fill: e(i)[1]
        }, [
          n("animate", {
            id: c,
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[0]}`,
            begin: `${u}.end`,
            dur: "0.3s",
            fill: "freeze"
          }, null, 8, M),
          n("animate", {
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[1]}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, O)
        ], 8, q),
        n("circle", {
          cx: e(t) * 0.8,
          cy: e(s) / 2,
          r: "2",
          fill: e(i)[1]
        }, [
          n("animate", {
            id: _,
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[0]}`,
            begin: `${$}.end`,
            dur: "0.3s",
            fill: "freeze"
          }, null, 8, V),
          n("animate", {
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[1]}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, A)
        ], 8, R),
        n("circle", {
          cx: e(t) - 2,
          cy: e(s) / 2,
          r: "2",
          fill: e(i)[1]
        }, [
          n("animate", {
            id: a,
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[0]}`,
            begin: `${f}.end`,
            dur: "0.3s",
            fill: "freeze"
          }, null, 8, G),
          n("animate", {
            attributeName: "fill",
            values: `${e(i)[1]};${e(i)[1]}`,
            dur: "0.01s",
            begin: `${a}.end`,
            fill: "freeze"
          }, null, 8, H)
        ], 8, F)
      ], 8, p))
    ]));
  }
});
export {
  Q as default
};
